package main

import (
	"fmt"

	"homework_one/internal/input"
)

func main() {
	for {

		number_one, err := input.GetNumber("Введите первое число:")
		if err != nil {
			fmt.Println(
				"Некорректное число. Пожалуйста, введите числовое значение.",
			)
			continue
		}

		operator := input.GetOperator()

		number_two, err := input.GetNumber("Введите второе число:")
		if err != nil {
			fmt.Println(
				"Некорректное число. Пожалуйста, введите числовое значение.",
			)
			continue
		}

		var result float64
		switch operator {
		case "+":
			result = number_one + number_two
		case "-":
			result = number_one - number_two
		case "*":
			result = number_one * number_two
		case "/":
			if number_two == 0 {
				fmt.Println("Ошибка: деление на ноль невозможно")
				continue
			}
			result = number_one / number_two
		default:
			fmt.Println("Неизвестный оператор")
			continue
		}
		fmt.Printf(
			"Результат: %F %s %F = %F\n",
			number_one,
			operator,
			number_two,
			result,
		)

		fmt.Println("Press the Enter Key to stop anytime")
		fmt.Scanln()

	}
}
